package interfaces;

import enums.MessageType;

public interface MessageConsumer extends Runnable {
	/**
	 * Start the consumer thread and create sub-threads of producers.
	 * 
	 * @param numberOfProducers
	 */
	public void start(int numberOfProducers);

	/**
	 * Set state of all producers to running or pausing.
	 * 
	 * @param state
	 */
	public void setAllProducersEnabled(boolean state);

	/**
	 * Enqueues a message to the queue.
	 * 
	 * @param message
	 * @param type
	 */
	void enqueue(String message, MessageType type);
}
